﻿@page "/product/{id:int}"
@inject IProductService ProductService


@if(product == null)
{
    <span> @message </span>
}
else
{
    <div class="media">
        <div class="media-img-wrapper mr-2">
            <img class="media-img" src="@product.ImageUrl" alt="@product.Title" />
        </div>
        <div class="media-body">
            <h2 class="mb-0">@product.Title</h2>
            <p>@product.Description</p>
            <h4 class="price">
                $@product.Price
            </h4>
        </div>
    </div>
}

@code {
    private ProductModel product = null!;
    private string message = string.Empty;

    [Parameter]
    public int Id { get; set; }

    protected override async Task OnParametersSetAsync()
    {
        message = "Loading product...";
        var result = await ProductService.GetProductAsync(Id);
        if(!result.Success)
        {
            message = result.Message;
        }
        else
        {
            product = result.Data;
        }
    }
}
